---------------------------------------------------------------------------------------------------
--  Copyright © 2009 PoBros, Incorporated. All Rights Reserved.
--
--  This source code is the proprietary confidential property of PoBros Incorporated.
--  Modification, reproduction, publication, or distribution in any form to any party 
--  other than the licensee is strictly prohibited.
--
--  FOR USE BY AUTHORIZED PERSONS ONLY
---------------------------------------------------------------------------------------------------

require( "scripts/style.lua" );

---------------------------------------------------------------------------------------------------

MakeDialog
{
	name = "ok";
	SetStyle( GameWindowStyle );
	
	GameWindow
	{
		SetStyle( DialogWindowStyle );
		
		DialogWindow
		{
	        SetStyle( OneButtonDialogButton1Style );
	        
			Button
			{
				text = "ok";
				name = "ok";

				command = 
					function()
						if( gDialogTable.ok ) then 
							gDialogTable.ok();
						else
							WindowReturn();
						end
					end
			};
			
			SetStyle( DialogTitleText );
	        
			Text
			{
				name = "oktitle";
				label = gDialogTable.title;
			};
			
			SetStyle( DialogBodyText );
			
			Text
			{
				name = "okbody";
				label = gDialogTable.body;
			};
		};
    };
};

---------------------------------------------------------------------------------------------------